org.bdgenomics.adam.cli

# TransformAlignments

###
Related Docs: object TransformAlignments | package cli

#### class TransformAlignments extends BDGSparkCommand[TransformAlignmentsArgs] with Logging

Linear Supertypes
BDGSparkCommand[TransformAlignmentsArgs], Logging, BDGCommand, Runnable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformAlignments
2. BDGSparkCommand
3. Logging
4. BDGCommand
5. Runnable
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformAlignments(args: TransformAlignmentsArgs)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def apply(ds: AlignmentRecordDataset): AlignmentRecordDataset

5. #### val args: TransformAlignmentsArgs

   Attributes
     protected
   Definition Classes
     TransformAlignments → BDGSparkCommand

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### val companion: TransformAlignments.type

   Definition Classes
     TransformAlignments → BDGCommand

9. #### def debug(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

   Attributes
     protected
   Definition Classes
     Logging

10. #### def debug(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

11. #### def debug(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def error(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

15. #### def error(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

16. #### def error(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def forceNonParquet(): Boolean

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### def info(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

22. #### def info(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

23. #### def info(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

24. #### def initializeMetrics(sc: SparkContext): Option[MetricsListener]

    Definition Classes
      BDGSparkCommand

25. #### def isDebugEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

26. #### def isErrorEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

27. #### def isInfoEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

28. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

29. #### def isNonParquet(inputPath: String): Boolean

30. #### def isTraceEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

31. #### def isWarnEnabled: Boolean

    Attributes
      protected
    Definition Classes
      Logging

32. #### def logger: Logger

    Attributes
      protected
    Definition Classes
      Logging

33. #### def loggerName: String

    Attributes
      protected
    Definition Classes
      Logging

34. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

35. #### final def notify(): Unit

    Definition Classes
      AnyRef

36. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

37. #### def printMetrics(totalTime: Long, metricsListener: Option[MetricsListener]): Unit

    Definition Classes
      BDGSparkCommand

38. #### def run(sc: SparkContext): Unit

    Definition Classes
      TransformAlignments → BDGSparkCommand

39. #### def run(): Unit

    Definition Classes
      BDGSparkCommand → Runnable

40. #### val stringency: ValidationStringency

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### def toString(): String

    Definition Classes
      AnyRef → Any

43. #### def trace(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

44. #### def trace(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

45. #### def trace(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

46. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

49. #### def warn(mkr: Marker, msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

50. #### def warn(msg: ⇒ Any, t: ⇒ Throwable): Unit

    Attributes
      protected
    Definition Classes
      Logging

51. #### def warn(msg: ⇒ Any): Unit

    Attributes
      protected
    Definition Classes
      Logging

### Inherited from BDGSparkCommand[TransformAlignmentsArgs]

### Inherited from Logging

### Inherited from BDGCommand

### Inherited from Runnable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped